Java Runtime Envir.

27/10/2007 - 15:52 von Albrecht Mehl | Report spam
Bei meinem opensuse 10.2-System sind lt. Yast von der JRE
sowohl JRE 1.4.2 als auch 1.5.0 installiert. Nun meinte jemand, das
seien uralte Versionen.

Stimmt das, welches ist die aktuelle Version?

Damit meine ich nicht die Version von SUN, sondern die, die aktuell
für _opensuse 10.2_ angeboten wird.

Falls meine Versionen veraltet sind: warum bietet der updater
nichts neueres an?

Falls die Empfehlung lautet, selbst manuell die Datei bei SUN
zu laden und dann zu installieren: wie erreiche ich es, daß
dieser Vorgang über die YAST-Datenbank làuft, so daß die
nàchste Version dann automatisch vom updater angeboten
wird?

A. Mehl
Albrecht Mehl |Absendekonto wird nicht gelesen; eBriefe an:
Schorlemmerstr. 33 |mehl bei hrz1PunkthrzPunkttu-darmstadtPunktde
D-64291 Darmstadt, Germany|sehenswert - Relativist. Effekte
Tel. (+49 06151) 37 39 92 |http://www.tempolimit-lichtgeschwindigkeit.de
 

Lesen sie die antworten

#1 Christoph 1
27/10/2007 - 23:37 | Warnen spam
Albrecht Mehl schrieb:
Bei meinem opensuse 10.2-System sind lt. Yast von der JRE
sowohl JRE 1.4.2 als auch 1.5.0 installiert. Nun meinte jemand, das
seien uralte Versionen.

Stimmt das, welches ist die aktuelle Version?



Die aktuelle Java Version von SUN ist Java 1.6.0_03. Das ist die
Nachfolgeversion von 1.5.0. Vermutlich findest du kaum ein Java
Programm, für das die Version 1.5.0 nicht ausreichend ist. Allerdings
sollen die Java Programme mit der 1.6.0-er Version angeblich
schneller arbeiten.

Für opensuse 10.2 gibt es auf der Nicht-OSS CD kein Java 1.6.0,
sondern als neueste Version nur ein Java 1.5.0.

Allerdings wird im Suse Buildservice eine SUN-Java version 1.6.0
angeboten, z. B. hier:
ftp://ftp5.gwdg.de/pub/linux/suse/o...ories/Java:/addon:/test/openSUSE_10.2
dort in den Unterverzeichnissen i586 oder x86_64. Wenn du die 64 Bit
Version wàhlst (x86_64), dann bekommst du dort aber kein Java Plugin
für den Web-Browser.

Diese Version für opensuse 10.2 wird anscheinend nicht upgedatet.
Also keine Sicherheitsupdates.

Für opensuse 10.3 gibt es bei der Nicht-OSS Software offiziell das
SUN Java 1.6.0 und dafür auch Sicherheitsupdates.

Viele Grüße
Christoph



Damit meine ich nicht die Version von SUN, sondern die, die aktuell
für _opensuse 10.2_ angeboten wird.

Falls meine Versionen veraltet sind: warum bietet der updater
nichts neueres an?

Falls die Empfehlung lautet, selbst manuell die Datei bei SUN
zu laden und dann zu installieren: wie erreiche ich es, daß
dieser Vorgang über die YAST-Datenbank làuft, so daß die
nàchste Version dann automatisch vom updater angeboten
wird?

A. Mehl
Albrecht Mehl |Absendekonto wird nicht gelesen; eBriefe an:
Schorlemmerstr. 33 |mehl bei hrz1PunkthrzPunkttu-darmstadtPunktde
D-64291 Darmstadt, Germany|sehenswert - Relativist. Effekte
Tel. (+49 06151) 37 39 92 |http://www.tempolimit-lichtgeschwindigkeit.de



Viele Grᅵᅵe
Christoph

Ähnliche fragen